.popup-mask {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1002;
  background-color: rgba(0, 0, 0, 0.5);
}
.popup-mask.popup-open {
  display: block;
}
.popup-container {
  visibility: hidden;
  position: fixed!important;
  top: 50%;
  left: 50%;
  z-index: 1002!important;
}
.popup-container.popup-open {
  visibility: visible;
}
.alert-popup-container,
.confirm-popup-container {
  width: 5.6rem;
  border-radius: 4px;
  background-color: #ffffff;
  text-align: center;
  font-size: 17px;
}
.alert-popup-container .text,
.confirm-popup-container .text {
  padding: .6rem .4rem;
  text-align: center;
  line-height: 1.2;
}
.alert-popup-container .btn-box,
.confirm-popup-container .btn-box {
  border-top: 1px solid #dbdbdb;
}
.alert-popup-container .btn,
.confirm-popup-container .btn {
  height: .97rem;
  line-height: .97rem;
  text-align: center;
  color: #007aff;
}
.confirm-popup-container .btn {
  float: left;
  width: 50%;
}
.confirm-popup-container .confirm-cancel {
  box-sizing: border-box;
  border-left: 1px solid #bdbdbd;
}
.notice-popup-container {
  padding: .5rem 0;
  width: 2.2rem;
  border-radius: 8px;
  background-color: rgba(0, 0, 0, 0.5);
  text-align: center;
}
.notice-popup-container .notice-success {
  height: .54rem;
  margin-bottom: .3rem;
  background: url('//n.sinaimg.cn/finance/toutiao/images/common-popup-success.png') no-repeat center 0;
  background-size: 0.75rem 100%;
}
.notice-popup-container .notice-text {
  color: #ffffff;
  text-align: center;
  font-size: 14px;
}
@media only screen and (-webkit-min-device-pixel-ratio: 2) {
  .alert-popup-container .btn-box {
    border: none;
  }
  .alert-popup-container .btn-box:before {
    content: '';
    display: block;
    height: 1px;
    background-color: #dbdbdb;
    clear: both;
    -webkit-transform: scale(1, 0.5);
    transform: scale(1, 0.5);
  }
  .confirm-popup-container .btn-box {
    border: none;
  }
  .confirm-popup-container .btn-box:before {
    content: '';
    display: block;
    height: 1px;
    background-color: #dbdbdb;
    clear: both;
    -webkit-transform: scale(1, 0.5);
    transform: scale(1, 0.5);
  }
  .confirm-popup-container .confirm-cancel {
    border-left: none;
  }
  .confirm-popup-container .confirm-cancel:before {
    display: block;
    content: '';
    float: left;
    height: 100%;
    width: 1px;
    background-color: #bdbdbd;
    -webkit-transform: scale(0.5, 1);
    transform: scale(0.5, 1);
  }
}
